import { z } from 'zod';
export declare const walletEndpoint: {
    readonly name: "Wallet";
    readonly description: "Get the current wallet balance for the user";
    readonly queryName: "Store_GetWallet";
    readonly category: "Store Endpoints";
    readonly type: "pd";
    readonly suffix: "store/v1/wallet/{puuid}";
    readonly riotRequirements: {
        readonly token: true;
        readonly entitlement: true;
        readonly clientPlatform: true;
        readonly clientVersion: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            Balances: z.ZodRecord<z.ZodString, z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            Balances: Record<string, number>;
        }, {
            Balances: Record<string, number>;
        }>;
    };
};
export type WalletResponse = z.input<typeof walletEndpoint.responses['200']>;
